-- 受身
function break_fall_act(kind)
  -- 行動済みフラグ
  local done = false
  
  if my_act>=70 and my_act<90 then
    if kind==0 then
      -- 前
      key_on(ACT_D)
      key_on(front)
    elseif kind==1 then
      -- 後ろ
      key_on(ACT_D)
      key_on(back)
    elseif kind==2 then
      -- ランダム
      local tmp_kind = math.random(0, 2)
      if tmp_kind==2 then
        tmp_kind=3
      end
      break_fall_act(tmp_kind)
    elseif kind==3 then
      -- 無効
    end
    
    -- 受身動作が始まるまで待機
    while my_act>=70 and my_act<90 do
      yield()
    end
    done = true
  end
  
  return done
end
